> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tera.gw/llms.txt
> Use this file to discover all available pages before exploring further.

# Kimi-K2.6

> moonshotai/Kimi-K2.6 on Tera

<Info>
  Model id: `moonshotai/Kimi-K2.6` — pass this as the `model` field in API requests.
</Info>

## Spec

|                       |                                                                       |
| --------------------- | --------------------------------------------------------------------- |
| **Provider**          | moonshotai                                                            |
| **HuggingFace**       | [`moonshotai/Kimi-K2.6`](https://huggingface.co/moonshotai/Kimi-K2.6) |
| **Context length**    | 262,144 tokens                                                        |
| **Max output**        | 4,096 tokens                                                          |
| **Quantization**      | `managed`                                                             |
| **Input modalities**  | text                                                                  |
| **Output modalities** | text                                                                  |

## Pricing

|        | per million tokens |
| ------ | ------------------ |
| Input  | \$0.95             |
| Output | \$4.00             |

## Supported features

`tools`, `json_mode`, `structured_outputs`, `reasoning`

## Sampling parameters

`temperature`, `top_p`, `top_k`, `max_tokens`, `stop`, `seed`, `frequency_penalty`, `presence_penalty`, `repetition_penalty`, `logprobs`, `top_logprobs`

## Example

```bash theme={null}
curl https://api.tera.gw/v1/chat/completions \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer $TERA_API_KEY" \
  -d '{
    "model": "moonshotai/Kimi-K2.6",
    "messages": [{"role": "user", "content": "Hello"}],
    "max_tokens": 256
  }'
```
